# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		qxgedit
Version:	0.9.11
Release:	alt1_1
Summary:	Qt XG Editor
License:	GPLv2+
Group:		Sound
URL:		https://qxgedit.sourceforge.io/
Source0:	https://downloads.sourceforge.net/qxgedit/%{name}-%{version}.tar.gz

BuildRequires:	ccmake cmake ctest
BuildRequires:	qt5-tools qt6-designer qt6-tools
BuildRequires:	qt6-base-devel
BuildRequires:	qt6-base-devel
BuildRequires:	qt6-tools-devel
BuildRequires:	qt6-svg-devel
BuildRequires:	qt6-base-devel
BuildRequires:	qt6-base-devel
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(alsa)
Source44: import.info

%description
QXGEdit is a Qt GUI for editing MIDI System Exclusive files
for XG devices (eg. Yamaha DB50XG).

%prep
%setup -q

%build
%{mageia_cmake_qt6}
%mageia_cmake_build

%install
%mageia_cmake_install

# menu
desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_qt6_plugindir}/styles/libskulpturestyle.so
%{_datadir}/applications/org.rncbc.qxgedit.desktop
%{_metainfodir}/org.rncbc.qxgedit.metainfo.xml
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 0.9.11-alt1_1
- update by mgaimport

* Fri Sep 30 2022 Igor Vlasenko <viy@altlinux.org> 0.9.6-alt1_1
- update by mgaimport

* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 0.9.3-alt1_2
- update by mgaimport

* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 0.9.3-alt1_1
- update by mgaimport

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.org> 0.9.2-alt1_1
- update by mgaimport

* Tue Mar 16 2021 Igor Vlasenko <viy@altlinux.org> 0.9.1-alt1_1
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_1
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.3-alt1_1
- update by mgaimport

* Thu Apr 09 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_1
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_2
- update by mgaimport

* Fri Dec 27 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_1
- update by mgaimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_1
- update by mgaimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.5-alt1_1
- update by mgaimport

* Tue Apr 23 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_1
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_2
- update by mgaimport

* Fri Mar 15 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.2-alt1_2
- update by mgaimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.2-alt1_1
- update by mgaimport

* Thu Jun 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_1
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_1
- new version

